Name:           xtrkcad
Version:        4.2.0
Release:        0.1.beta1%{?dist}
Summary:        CAD program for designing Model Railroad layouts

Group:          Applications/Engineering
License:        GPLv2+
URL:            http://www.xtrkcad.org/
Source0:        http://download.sourceforge.net/%{name}-fork/%{name}-source-%{version}-beta1.tar.bz2
Source1:        %{name}.desktop
Patch0:         %{name}-4.2.0-linker.patch

BuildRequires:  webkitgtk-devel
BuildRequires:  cmake
BuildRequires:  desktop-file-utils
BuildRequires:  gettext
BuildRequires:  doxygen


%description
XTrackCAD is a CAD program for designing Model Railroad layouts.
XTrackCAD supports any scale, has libraries of popular brands of x
turnouts and sectional track (plus you add your own easily), can
automatically use spiral transition curves when joining track
and has extensive on-line help and demonstrations.
XTrackCad lets you manipulate track much like you would with actual
flex-track to modify, extend and join tracks and turnouts.
Additional features include tunnels, 'post-it' notes, on-screen
ruler, parts list, 99 drawing layers, undo/redo commands,
benchwork, 'Print to BitMap', elevations, train simulation and
car inventory.


%prep
%setup -q -n %{name}-%{version}-beta1
%patch0 -p1


%build
mkdir build
pushd build
%{cmake} -DBUILD_SHARED_LIBS:BOOL=OFF ..
make %{?_smp_mflags}
popd


%install
pushd build
make install DESTDIR=$RPM_BUILD_ROOT
popd

# install desktop file and icon
mkdir $RPM_BUILD_ROOT%{_datadir}/{applications,pixmaps}

desktop-file-install                                    \
        --dir $RPM_BUILD_ROOT%{_datadir}/applications   \
        %{SOURCE1}

install -p -m 644 app/lib/icon.png $RPM_BUILD_ROOT%{_datadir}/pixmaps/%{name}.png

%find_lang %{name}


%files -f %{name}.lang
%doc app/COPYING
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/*


%changelog
* Wed Mar 28 2012 Dan Horák <dan[at]danny.cz> - 4.2.0-0.1.beta1
- updated to 4.2.0-beta1

* Mon Apr 19 2010 Dan Horák <dan[at]danny.cz> - 4.0.3a-1
- initial Fedora version
